Bug 171621 - support for multi-homed clients
Summary: support for multi-homed clients
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ftp   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 199145
Blocks: 187538 198694
TreeView+ depends on / blocked
 
Reported: 2005-10-24 14:32 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0177
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 22:49:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netkit-ftp-0.17-multihome.patch (3.33 KB, patch)
2005-10-24 14:32 UTC, Bastien Nocera
no flags Details | Diff
fixed multihome patch (3.40 KB, patch)
2006-07-28 14:50 UTC, Peter Vrabec
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0177 normal SHIPPED_LIVE ftp bug fix update 2007-04-27 21:17:26 UTC

Description Bastien Nocera 2005-10-24 14:32:05 UTC
Some FTP servers don't like when clients use different IPs for the control and
data connections. This patch adds the "-m" switch to allow for "ftp" to always
use the same source IP for both channels.

Patch from Anthony Golia <anthony.golia@morganstanley.com>

Comment 1 Bastien Nocera 2005-10-24 14:32:06 UTC
Created attachment 120307 [details]
netkit-ftp-0.17-multihome.patch

Comment 4 Petr Raszyk 2005-10-26 14:15:49 UTC
Is somewhere an 'anonymous' FTP server (don't like when clients use
different IPs for the control and data connections)
to test this feature ?
Or should I ask <anthony.golia@morganstanley.com> ?


Comment 5 Bastien Nocera 2005-10-26 14:48:27 UTC
Don't know the specifics on the FTP servers that would behave this way.

Comment 9 Petr Raszyk 2006-01-12 12:23:36 UTC
There was a small bug in the patch above
(it does not close 'data'-socket-descriptor if
bind() fails, socket() is OK and 'multihome'==TRUE. 
Fixed in 
              netkit-ftp-0.17-data.patch
and my 'new'
              netkit-ftp-0.17-multihome.patch
).

According to the orignal patch: 'multihome' is default.
It seems to work. Tested in:
devel-i386 (client) <-> RHEL-4-x86_64 (server)

PS (to comment #6):
    I have no access to zappa (144.203.221.27).
    --------------------------------------
    ftp 144.203.221.27
    ftp: connect: Connection refused
    ftp>
    --------------------------------------
    It would be nice to test it (using FTP
    servers which don't like when clients use different IPs for the control and
    data connections).


Comment 10 Petr Raszyk 2006-01-12 12:26:04 UTC
Fixed in devel (ftp-0.17 Release 32.1).

Comment 19 Peter Vrabec 2006-07-28 14:50:10 UTC
Created attachment 133238 [details]
fixed multihome patch

Comment 26 Red Hat Bugzilla 2007-05-01 22:49:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0177.html



Note You need to log in before you can comment on or make changes to this bug.